## hcxtools 6.0.2

=== Makefile ===
PRODUCTION		:= 1
PRODUCTION_VERSION	:= 6.0.2
PRODUCTION_YEAR		:= 2020

ifeq ($(PRODUCTION),1)
VERSION_TAG		:= $(PRODUCTION_VERSION)
else
VERSION_TAG		:= $(shell git describe --tags || echo $(PRODUCTION_VERSION))
endif
VERSION_YEAR		:= $(shell echo $(PRODUCTION_YEAR))

PREFIX		?=/usr/local
INSTALLDIR	= $(DESTDIR)$(PREFIX)/bin

HOSTOS := $(shell uname -s)

CC		?= gcc
CFLAGS		?= -O3 -Wall -Wextra
CFLAGS		+= -std=gnu99
INSTFLAGS	= -m 0755

ifeq ($(HOSTOS), Linux)
INSTFLAGS += -D
endif

ifeq ($(HOSTOS), Darwin)
CFLAGS += -L/usr/local/opt/openssl/lib -I/usr/local/opt/openssl/include
endif

TOOLS=
TOOLS+=hcxpcapngtool
hcxpcapngtool_libs=-lz -lcrypto -lssl
TOOLS+=hcxhashtool
hcxhashtool_libs=-lcrypto -lssl -lcurl
TOOLS+=hcxpsktool
hcxpsktool_libs=-lcrypto -lssl
TOOLS+=hcxwltool
TOOLS+=hcxhash2cap
TOOLS+=wlancap2wpasec
wlancap2wpasec_libs=-lcrypto -lssl -lcurl
TOOLS+=whoismac
whoismac_libs=-lcrypto -lssl -lcurl

TOOLS+=hcxpmkidtool
TOOLS+=wlanhcx2john
TOOLS+=hcxpcaptool
hcxpcaptool_libs=-lz -lcrypto -lssl
TOOLS+=hcxhashcattool
hcxhashcattool_libs=-lcrypto -lssl -lpthread
hcxpmkidtool_libs=-lcrypto -lssl -lpthread
TOOLS+=hcxmactool
TOOLS+=hcxessidtool
TOOLS+=wlanwkp2hcx
TOOLS+=wlanhcxinfo
TOOLS+=wlanhcx2ssid
TOOLS+=wlanhcxcat
wlanhcxcat_libs=-lcrypto -lssl
TOOLS+=wlanpmk2hcx
wlanpmk2hcx_libs=-lcrypto -lssl
TOOLS+=wlanjohn2hcx

.PHONY: build
build: $(TOOLS)

.deps:
	mkdir -p .deps

# $1: tool name
define tool-build
$(1)_src ?= $(1).c
$(1)_libs ?=

$(1): $$($(1)_src) | .deps
	$$(CC) $$(CFLAGS) $$(CPPFLAGS) -MMD -MF .deps/$$@.d -o $$@ $$($(1)_src) $$($(1)_libs) $$(LDFLAGS) -DVERSION_TAG=\"$(VERSION_TAG)\" -DVERSION_YEAR=\"$(VERSION_YEAR)\"

.deps/$(1).d: $(1)

.PHONY: $(1).install
$(1).install: $(1)
	install $$(INSTFLAGS) $(1) $$(INSTALLDIR)/$(1)

.PHONY: $(1).clean
$(1).clean:
	rm -f .deps/$(1).d
	rm -f $(1)

.PHONY: $(1).uninstall
$(1).uninstall:
	rm -rf $$(INSTALLDIR)/$(1)

endef

$(foreach tool,$(TOOLS),$(eval $(call tool-build,$(tool))))

.PHONY: install
install: $(patsubst %,%.install,$(TOOLS))

.PHONY: clean
clean: $(patsubst %,%.clean,$(TOOLS))
	rm -rf .deps

.PHONY: uninstall
uninstall: $(patsubst %,%.uninstall,$(TOOLS))

-include .deps/*.d

=== debian/changelog ===
hcxtools (6.0.2-1) unstable; urgency=medium

  * New upstream release.

 -- Ulises Vitulli <dererk@debian.org>  Fri, 24 Apr 2020 23:21:47 -0300

hcxtools (5.1.6-1) unstable; urgency=medium

  * New upstream release.
  * Removed local patch already merged upstream.
  * Updated Standard-Versions.

 -- Ulises Vitulli <dererk@debian.org>  Mon, 22 Jul 2019 09:09:50 -0300

hcxtools (5.1.4-1) unstable; urgency=medium

  * Initial release (Closes: #916248).

 -- Ulises Vitulli <dererk@debian.org>  Mon, 18 Mar 2019 09:09:59 -0300

=== debian/control ===
Source: hcxtools
Section: net
Priority: optional
Maintainer: Ulises Vitulli <dererk@debian.org>
Uploaders: kretcheu <kretcheu@gmail.com>
Build-Depends: debhelper-compat (= 12),
 help2man,
 ieee-data,
 libcurl4-openssl-dev,
 libssl-dev,
 zlib1g-dev,
Standards-Version: 4.5.0
Homepage: https://github.com/ZerBea/hcxtools
Vcs-Git: https://salsa.debian.org/debian/hcxtools.git
Vcs-Browser: https://salsa.debian.org/debian/hcxtools

Package: hcxtools
Architecture: any
Recommends: hcxdumptool
Depends: ${shlibs:Depends}, ${misc:Depends},
 ieee-data
Description: Tools for converting captures to use with hashcat or John the Ripper
 Portable solution for capturing wlan traffic and conversion to hashcat formats
 (recommended by hashcat) and to John the Ripper formats.
 .
 hcx stands for:
  - h = hash
  - c = capture, convert and calculate candidates
  - x = different hashtypes

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -pie
#export DEB_CFLAGS_MAINT_APPEND = -fPIE

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	rm -f $(CURDIR)/debian/hcxtools.manpages
	rm -f $(CURDIR)/debian/*.1

override_dh_auto_install:
	$(MAKE) install PREFIX=/usr DESTDIR=$(CURDIR)/debian/hcxtools
	for binary in $(CURDIR)/debian/hcxtools/usr/bin/* ; do \
		manpage=`basename $$binary`; \
		/usr/bin/help2man -n "hcx tools set"-N $$binary > $(CURDIR)/debian/$$manpage.1; \
		echo debian/$$manpage.1 >> $(CURDIR)/debian/hcxtools.manpages; \
	done

=== debian/watch ===
version=4
https://github.com/ZerBea/hcxtools/releases .*/archive/v?(\d\S+)\.tar\.(?:bz2|gz|xz)

## hcxtools 6.2.4

=== debian/changelog ===
hcxtools (6.2.4-1) unstable; urgency=medium

  [ Ulises Vitulli ]
  * Use Salsa-CI template

  [ Paulo Roberto Alves de Oliveira (aka kretcheu) ]
  * New upstream version 6.2.4.
  * Fixed CVE-2021-32286 global-buffer-overflow (Closes: #994790)
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 13.
  * debian/control:
      - Added 'Rules-Requires-Root: no' to source stanza.
      - Bumped Standards-Version to 4.6.0.1.
      - Fixed uploader name.
      - Added new build dependencies (openssl, pkg-config).
      - Changed ieee-data arch dependency to all.
      - Changed maintainer to team+pkg-security
        and put myself and Ulises as uploader.
  * debian/copyright:
      - Updated packaging copyright years.
      - Included kretcheu.
  * debian/hcxtools.lintian-overrides: updated and fixed spell errors.
  * debian/patches/:
      - Added 01-fix-spell-errors.patch: fix spell errors.
      - Added 02-fix-cross-build.patch to solve cross build error.
  * debian/rules:
      - Removed '-Wl,--as-needed' not required now.
      - Fixed string that generate manpage.
  * debian/watch: updated watch file.
  * debian/tests/:
      - Added superficial restriction. (Closes: #974484).
      - Included tests for all binaries.
  * Added upstream metadata file.
  * Added upstream signing key.

 -- Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>  Fri, 15 Oct 2021 16:09:00 -0300

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,22 @@
 Source: hcxtools
 Section: net
 Priority: optional
-Maintainer: Ulises Vitulli <dererk@debian.org>
-Uploaders: kretcheu <kretcheu@gmail.com>
-Build-Depends: debhelper-compat (= 12),
+Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
+Uploaders: Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>,
+           Ulises Vitulli <dererk@debian.org>
+Build-Depends: debhelper-compat (= 13),
  help2man,
- ieee-data,
+ ieee-data:all,
  libcurl4-openssl-dev,
  libssl-dev,
- zlib1g-dev,
-Standards-Version: 4.5.0
+ openssl,
+ pkg-config,
+ zlib1g-dev
+Standards-Version: 4.6.0.1
+Rules-Requires-Root: no
 Homepage: https://github.com/ZerBea/hcxtools
-Vcs-Git: https://salsa.debian.org/debian/hcxtools.git
-Vcs-Browser: https://salsa.debian.org/debian/hcxtools
+Vcs-Git: https://salsa.debian.org/pkg-security-team/hcxtools.git
+Vcs-Browser: https://salsa.debian.org/pkg-security-team/hcxtools
 
 Package: hcxtools
 Architecture: any

## hcxtools 6.2.5

=== Makefile ===
PRODUCTION		:= 1
PRODUCTION_VERSION	:= 6.2.5
PRODUCTION_YEAR		:= 2021

ifeq ($(PRODUCTION),1)
VERSION_TAG		:= $(PRODUCTION_VERSION)
else
VERSION_TAG		:= $(shell git describe --tags || echo $(PRODUCTION_VERSION))
endif
VERSION_YEAR		:= $(shell echo $(PRODUCTION_YEAR))

PREFIX		?= /usr
BINDIR		= $(DESTDIR)$(PREFIX)/bin

HOSTOS		:= $(shell uname -s)

CC		?= gcc
CFLAGS		?= -O3 -Wall -Wextra
CFLAGS		+= -std=gnu99
DEFS		= -DVERSION_TAG=\"$(VERSION_TAG)\" -DVERSION_YEAR=\"$(VERSION_YEAR)\"
DEFS		+= -DWANTZLIB

INSTALL		?= install
INSTFLAGS	=
PKG_CONFIG ?= pkg-config

ifeq ($(HOSTOS), Linux)
INSTFLAGS += -D
endif

OPENSSL_LIBS=$(shell $(PKG_CONFIG) --libs openssl)
OPENSSL_CFLAGS=$(shell $(PKG_CONFIG) --cflags openssl)
CURL_LIBS=$(shell $(PKG_CONFIG) --libs libcurl)
CURL_CFLAGS=$(shell $(PKG_CONFIG) --cflags libcurl)
Z_LIBS=$(shell $(PKG_CONFIG) --libs zlib)
Z_CFLAGS=$(shell $(PKG_CONFIG) --cflags zlib)

TOOLS=
TOOLS+=hcxpcapngtool
hcxpcapngtool_libs=$(OPENSSL_LIBS) $(Z_LIBS)
hcxpcapngtool_cflags=$(OPENSSL_CFLAGS) $(Z_CFLAGS)
TOOLS+=hcxhashtool
hcxhashtool_libs=$(OPENSSL_LIBS) $(CURL_LIBS)
hcxhashtool_cflags=$(OPENSSL_CFLAGS) $(CURL_CFLAGS)
TOOLS+=hcxpsktool
hcxpsktool_libs=$(OPENSSL_LIBS)
hcxpsktool_cflags=$(OPENSSL_CFLAGS)
TOOLS+=hcxpmktool
hcxpmktool_libs=$(OPENSSL_LIBS)
hcxpmktool_cflags=$(OPENSSL_CFLAGS)
TOOLS+=hcxeiutool
TOOLS+=hcxwltool
TOOLS+=hcxhash2cap
TOOLS+=wlancap2wpasec
wlancap2wpasec_libs=$(OPENSSL_LIBS) $(CURL_LIBS)
wlancap2wpasec_cflags=$(OPENSSL_CFLAGS) $(CURL_CFLAGS)
TOOLS+=whoismac
whoismac_libs=$(OPENSSL_LIBS) $(CURL_LIBS)
whoismac_cflags=$(OPENSSL_CFLAGS) $(CURL_CFLAGS)

TOOLS+=hcxpmkidtool
TOOLS+=hcxhashcattool
hcxhashcattool_libs=-lpthread $(OPENSSL_LIBS)
hcxhashcattool_cflags=$(OPENSSL_CFLAGS)
hcxpmkidtool_libs=-lpthread $(OPENSSL_LIBS)
hcxpmkidtool_cflags=$(OPENSSL_CFLAGS)
TOOLS+=hcxmactool
TOOLS+=hcxessidtool

.PHONY: all build install clean uninstall

all: build

build: $(TOOLS)

.deps:
	mkdir -p .deps

# $1: tool name
define tool-build
$(1)_src ?= $(1).c
$(1)_libs ?=
$(1)_cflags ?=

$(1): $$($(1)_src) | .deps
	$$(CC) $$(CFLAGS) $$($(1)_cflags) $$(CPPFLAGS) -MMD -MF .deps/$$@.d -o $$@ $$($(1)_src) $$($(1)_libs) $$(LDFLAGS) $$(DEFS)

.deps/$(1).d: $(1)

.PHONY: $(1).install
$(1).install: $(1)
	$$(INSTALL) $$(INSTFLAGS) -m 0755 $(1) $$(BINDIR)/$(1)

.PHONY: $(1).clean
$(1).clean:
	rm -f .deps/$(1).d
	rm -f $(1)

.PHONY: $(1).uninstall
$(1).uninstall:
	rm -rf $$(BINDIR)/$(1)

endef

$(foreach tool,$(TOOLS),$(eval $(call tool-build,$(tool))))

install: $(patsubst %,%.install,$(TOOLS))

clean: $(patsubst %,%.clean,$(TOOLS))
	rm -rf .deps
	rm -f *.o *~

uninstall: $(patsubst %,%.uninstall,$(TOOLS))

-include .deps/*.d

=== debian/changelog ===
hcxtools (6.2.5-2) unstable; urgency=medium

  * d/rules: Fix to solve FTBFS in Kfreebsd.

 -- Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>  Mon, 27 Dec 2021 18:07:00 -0300

hcxtools (6.2.5-1) unstable; urgency=medium

  * New upstream version 6.2.5.
  * d/patches:
       - Remove 02-fix-cross-build.patch applied by upstream.
       - Refresh 01-fix-spell-errors.patch.

 -- Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>  Sun, 26 Dec 2021 20:05:00 -0300

hcxtools (6.2.4-2) unstable; urgency=medium

  * debian/control: removed unnecessary ieee-data from build dependencies.

 -- Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>  Tue, 26 Oct 2021 13:21:00 -0300

=== debian/tests/control ===
Tests: version
Restrictions: allow-stderr, superficial
Depends: @

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
https://github.com/ZerBea/hcxtools/releases .*/v?@ANY_VERSION@@ARCHIVE_EXT@

## hcxtools 6.2.6

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 PRODUCTION		:= 1
-PRODUCTION_VERSION	:= 6.2.5
-PRODUCTION_YEAR		:= 2021
+PRODUCTION_VERSION	:= 6.2.6
+PRODUCTION_YEAR		:= 2022
 
 ifeq ($(PRODUCTION),1)
 VERSION_TAG		:= $(PRODUCTION_VERSION)

=== debian/changelog ===
hcxtools (6.2.6-1) unstable; urgency=medium

  * New upstream version 6.2.6.
  * d/copyright: Update copyright years.
  * d/patches/01-fix-spell-errors.patch: Refresh patch.

 -- Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>  Sun, 24 Apr 2022 09:25:00 -0300

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -pie
export DEB_CFLAGS_MAINT_APPEND = -fPIE

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	rm -f $(CURDIR)/debian/hcxtools.manpages
	rm -f $(CURDIR)/debian/*.1

override_dh_auto_install:
	mkdir -p $(CURDIR)/debian/hcxtools/usr/bin
	$(MAKE) install PREFIX=/usr DESTDIR=$(CURDIR)/debian/hcxtools
	for binary in $(CURDIR)/debian/hcxtools/usr/bin/* ; do \
		manpage=`basename $$binary`; \
		/usr/bin/help2man -n "hcx tools set" -N $$binary > $(CURDIR)/debian/$$manpage.1; \
		echo debian/$$manpage.1 >> $(CURDIR)/debian/hcxtools.manpages; \
	done

## hcxtools 6.2.7

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 PRODUCTION		:= 1
-PRODUCTION_VERSION	:= 6.2.6
+PRODUCTION_VERSION	:= 6.2.7
 PRODUCTION_YEAR		:= 2022
 
 ifeq ($(PRODUCTION),1)

=== debian/changelog ===
hcxtools (6.2.7-2build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:57:24 +1100

hcxtools (6.2.7-2build2) noble; urgency=medium

  * No-change rebuild against libcurl4t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 06:25:23 +0000

hcxtools (6.2.7-2build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 18:11:22 +0000

hcxtools (6.2.7-2) unstable; urgency=medium

  * debian/watch: fix url to https://github.com/ZerBea/hcxtools/tags.

 -- Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>  Thu, 20 Oct 2022 18:43:00 -0300

hcxtools (6.2.7-1) unstable; urgency=medium

  * New upstream version 6.2.7

 -- Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>  Sat, 30 Apr 2022 12:49:00 -0300

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: hcxtools
 Section: net
 Priority: optional
-Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>,
            Ulises Vitulli <dererk@debian.org>
 Build-Depends: debhelper-compat (= 13),
  help2man,
- ieee-data:all,
  libcurl4-openssl-dev,
  libssl-dev,
  openssl,

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
https://github.com/ZerBea/hcxtools/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@

## hcxtools 6.3.4

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 PRODUCTION		:= 1
-PRODUCTION_VERSION	:= 6.2.7
-PRODUCTION_YEAR		:= 2022
+PRODUCTION_VERSION	:= 6.3.4
+PRODUCTION_YEAR		:= 2024
 
 ifeq ($(PRODUCTION),1)
 VERSION_TAG		:= $(PRODUCTION_VERSION)
@@ -15,7 +15,7 @@
 HOSTOS		:= $(shell uname -s)
 
 CC		?= gcc
-CFLAGS		?= -O3 -Wall -Wextra
+CFLAGS		?= -O3 -Wall -Wextra -Wpedantic
 CFLAGS		+= -std=gnu99
 DEFS		= -DVERSION_TAG=\"$(VERSION_TAG)\" -DVERSION_YEAR=\"$(VERSION_YEAR)\"
 DEFS		+= -DWANTZLIB
@@ -57,15 +57,6 @@
 TOOLS+=whoismac
 whoismac_libs=$(OPENSSL_LIBS) $(CURL_LIBS)
 whoismac_cflags=$(OPENSSL_CFLAGS) $(CURL_CFLAGS)
-
-TOOLS+=hcxpmkidtool
-TOOLS+=hcxhashcattool
-hcxhashcattool_libs=-lpthread $(OPENSSL_LIBS)
-hcxhashcattool_cflags=$(OPENSSL_CFLAGS)
-hcxpmkidtool_libs=-lpthread $(OPENSSL_LIBS)
-hcxpmkidtool_cflags=$(OPENSSL_CFLAGS)
-TOOLS+=hcxmactool
-TOOLS+=hcxessidtool
 
 .PHONY: all build install clean uninstall

=== meson_options.txt ===
option('curl', type: 'feature',
  description: 'Build tools relying on libcurl',
)

option('openssl', type: 'feature',
  description: 'Build tools relying on OpenSSL',
)

option('zlib', type: 'feature',
  description: 'Build with zlib support for hcxpcapngtool',
)

=== debian/changelog ===
hcxtools (6.3.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 6.3.4
  * debian/watch: change regex to get release from github api
  * debian/patches: drop 01-fix-spell-errors.patch, the spell errors
    no longer exist
  * debian/tests/version: updated to reflect the current CLI commands

 -- Igor Penha <igorpenha.it@gmail.com>  Mon, 19 Aug 2024 17:21:16 -0300

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: hcxtools
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
+Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>,
            Ulises Vitulli <dererk@debian.org>
 Build-Depends: debhelper-compat (= 13),

=== debian/watch ===
version=4
opts="searchmode=plain, \
pgpsigurlmangle=s%$%.asc%,i \
filenamemangle=s%v?@ANY_VERSION@%@PACKAGE@-$1.tar.xz%" \
https://api.github.com/repos/ZerBea/hcxtools/releases?per_page=100 \
https://github.com/ZerBea/hcxtools/releases/download/[^/]+/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@

## hcxtools 6.3.5

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 PRODUCTION		:= 1
-PRODUCTION_VERSION	:= 6.3.4
+PRODUCTION_VERSION	:= 6.3.5
 PRODUCTION_YEAR		:= 2024
 
 ifeq ($(PRODUCTION),1)

=== debian/changelog ===
hcxtools (6.3.5-1) unstable; urgency=medium

  * Team upload.

  [ Alexandre Detiste ]
  * Update lintian override for new format
  * Replace transitional pkg-config with pkgconf

  [ Leandro Cunha ]
  * New upstream version 6.3.5
  * d/control: Bump Standards-Version to 4.7.0, no changes needed
  * d/patches: Fix spelling error in hcxpsktool.c
  * d/copyright:
    - Add myself and missing file usefulscripts/hcxgrep.py
    - Update copyright years

 -- Leandro Cunha <leandrocunha016@gmail.com>  Tue, 11 Mar 2025 18:40:40 -0300

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,9 @@
  libcurl4-openssl-dev,
  libssl-dev,
  openssl,
- pkg-config,
+ pkgconf,
  zlib1g-dev
-Standards-Version: 4.6.0.1
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/ZerBea/hcxtools
 Vcs-Git: https://salsa.debian.org/pkg-security-team/hcxtools.git

## hcxtools 7.1.0

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 PRODUCTION		:= 1
-PRODUCTION_VERSION	:= 6.3.5
-PRODUCTION_YEAR		:= 2024
+PRODUCTION_VERSION	:= 7.1.0
+PRODUCTION_YEAR		:= 2026
 
 ifeq ($(PRODUCTION),1)
 VERSION_TAG		:= $(PRODUCTION_VERSION)
@@ -48,6 +48,9 @@
 TOOLS+=hcxpmktool
 hcxpmktool_libs=$(OPENSSL_LIBS)
 hcxpmktool_cflags=$(OPENSSL_CFLAGS)
+TOOLS+=hcxpottool
+hcxpottool_libs=$(OPENSSL_LIBS)
+hcxpottool_cflags=$(OPENSSL_CFLAGS)
 TOOLS+=hcxeiutool
 TOOLS+=hcxwltool
 TOOLS+=hcxhash2cap

=== debian/changelog ===
hcxtools (7.1.0-1) unstable; urgency=medium

  * Team upload.

  [ Matheus Polkorny ]
  * New upstream version 7.1.0
  * d/control:
    - Bump Standards Version to 4.7.3 (no changes)
    - Remove redundant Priority field
    - Remove redundant Rules-Requires-Root field
  * d/copyright:
    - Add myself in debian/
    - Remove whitespace
    - Update to reflect new upstream version
  * d/p/Fix-spelling-error-in-hcxpsktool.c.patch: Update patch
  * d/watch: Bump to Version 5

  [ Peter Wienemann ]
  * Switch back to watch file format version 4
    It seems that at present the GitHub template of watch file format
    version 5 cannot properly handle signed releases (cf. #1118383).

 -- Peter Wienemann <wiene@debian.org>  Fri, 13 Feb 2026 21:01:18 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: hcxtools
 Section: net
-Priority: optional
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>,
            Ulises Vitulli <dererk@debian.org>
@@ -11,8 +10,7 @@
  openssl,
  pkgconf,
  zlib1g-dev
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 Homepage: https://github.com/ZerBea/hcxtools
 Vcs-Git: https://salsa.debian.org/pkg-security-team/hcxtools.git
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/hcxtools

=== debian/watch ===
--- 
+++ 
@@ -4,4 +4,3 @@
 filenamemangle=s%v?@ANY_VERSION@%@PACKAGE@-$1.tar.xz%" \
 https://api.github.com/repos/ZerBea/hcxtools/releases?per_page=100 \
 https://github.com/ZerBea/hcxtools/releases/download/[^/]+/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
-
